<template>
  <ModalTemplate
    ref="modal"
    :visible="visible"
    @close="close">
    <div class="helpPage">
      <how-to-play @open="open" class="helpPage_item"></how-to-play>
      <how-to-deposit @open="open" class="helpPage_item"></how-to-deposit>
      <how-to-withdraw @open="open" class="helpPage_item"></how-to-withdraw>
      <div class="helpPage-footer">
        <Checkbox
          v-model="checked"
        @change="val=>checked = val">{{$t('helpPage.checkbox')}}
        </Checkbox>
        <div class="text-center">
          <Btn @click="close" class="helpPage-btn" :small="true" backgroundColor="#00D451">{{$t("helpPage.btn")}}</Btn>
        </div>
      </div>
    </div>
  </ModalTemplate>
</template>

<script>
import ModalTemplate from '~/components/modal/index';
import howToPlay from './howToPlay';
import howToDeposit from "./howToDeposit";
import howToWithdraw from "./howToWithdraw";
import Checkbox from '~/components/UI/Checkbox';
import Btn from '~/components/UI/BtnSign';
export default {
  name: "TheHelpPage",
  data() {
    return {
      visible: false,
      checked: false
    }
  },
  components: {
    ModalTemplate,
    howToPlay,
    howToDeposit,
    howToWithdraw,
    Btn,
    Checkbox
  },
  events: {
    'helppage:show': function() {
      this.visible = true;
    }
  },
  methods: {
    open(evt) {
      this.close();
      this.$trigger(evt)
    },
    close() {
      if(this.checked) localStorage.setItem("app.16bit_helpPage", true);
      this.visible=false;
    }
  }
}
</script>
<style lang="scss" scoped>
@import '~/assets/styles/colorVariables.scss';
.helpPage {
  &-footer {
    padding: 0px 24px;
    //tmp
    /deep/ {
      .checkbox {
        margin: 30px 0px;
        .checkbox_inner:after {
          border-color: $green;
        }
        &.is-checked {
          .checkbox_inner {
            border-color: $green;
          }
        }
      }
    }
  }
  /deep/ {
    .helpPage-btn {
      max-width: 100%;
      width: 100%;
      margin-bottom: 30px;
    }
  }
  &_item {
    /deep/ {
      .helpPage_item-img {
        max-width: 100%;
        padding: 30px 0px;
      }
      .helpPage_item-description {
        margin: 5px 0px;
      }
      .helpPage_item-header {
        background-color: $dark2;
      }
      .helpPage_item-body {
        background-color: $board;
      }
    }
  }
}
</style>
